Skip to content

Get Employee Portrait

Operation
wsdlGetEmployeePortrait
SOAP Action
uri:FlexForce/wsdlGetEmployeePortrait
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return the portrait image (as a base64-encoded JPEG) for a single employee.


Request

Message: wsdlGetEmployeePortraitRequest

apiKeystring

API key of the unit (store).

badgeNostring

Badge number of the employee whose portrait should be returned.

lastModifiedstring

Pass an empty string ("") to ignore this filter, or a date to skip the response when the portrait hasn't changed since that date.

FormatYYYY-MM-DD hh:mm:ss
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/wsdlGetEmployeePortrait"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeePortrait>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <badgeNo xsi:type="xsd:string">string</badgeNo>
    <lastModified xsi:type="xsd:string">string</lastModified>
    </tns:wsdlGetEmployeePortrait>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetEmployeePortraitResponse

returnPortrait

A Portrait record carrying the base64-encoded image and its update timestamp.

portraitstringrequired

Base64-encoded JPEG of the employee's portrait.

tsdateTimerequired

Timestamp of the last update, ISO 8601.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetEmployeePortraitResponse>
    <return xsi:type="tns:Portrait">
      <portrait xsi:type="xsd:string">string</portrait>
      <ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
    </return>
    </tns:wsdlGetEmployeePortraitResponse>
  </soap:Body>
</soap:Envelope>